Bug 214571 - mod_rewrite adds path info postfix after a substitution occured
mod_rewrite adds path info postfix after a substitution occured
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Miroslav Vadkerti
http://issues.apache.org/bugzilla/sho...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 08:02 EST by Leonard den Ottolander
Modified: 2011-02-16 08:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: URL rewrite step "add path info postfix" adds path info from the original request back into the URL. Consequence: Unexpected results or endless rewrite loops. Fix: Backport DPI|DiscardPathInfo flag from 2.2.12. Result: Using this flag in rewrite rules fixes the unexpected behaviour and/or endless loops.
Story Points: ---
Clone Of:
: 517500 (view as bug list)
Environment:
Last Closed: 2011-02-16 08:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2006-11-08 08:02:24 EST
For certain rewrite rules this will lead to an endless loop. In other cases the
rewrite will "only" produce a bad result and cause pages not found errors.

I could attach my own example, but I suppose the examples in the bugreports at
apache.org (http://issues.apache.org/bugzilla/show_bug.cgi?id=38642 and
http://issues.apache.org/bugzilla/show_bug.cgi?id=33022) should be self explanatory.

Issue also exists for RHEL 3. If you need a separate bug report for RHEL 3
please clone this one.
Comment 1 Joe Orton 2009-08-14 07:55:24 EDT
This behaviour was made possible with the upstream addition of the 

   DPI|DiscardPathInfo

flag in 2.2.12, so we can backport that.
Comment 5 Florian Nadge 2011-01-13 08:12:33 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:
Comment 6 Florian Nadge 2011-01-13 08:15:45 EST
Please be so kind and add a few key words to the technical note of this bugzilla entry using the following structure:

 Cause

Consequence:

Fix:

Result:

Thanks
Comment 7 Leonard den Ottolander 2011-01-16 07:56:58 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,7 @@
-Cause:
+Cause: URL rewrite step "add path info postfix" adds path info from the original request back into the URL.
 
-Consequence:
+Consequence: Unexpected results or endless rewrite loops.
 
-Fix:
+Fix: Backport DPI|DiscardPathInfo flag from 2.2.12.
 
-Result:+Result: Using this flag in rewrite rules fixes the unexpected behaviour and/or endless loops.
Comment 8 errata-xmlrpc 2011-02-16 08:57:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0237.html

Note You need to log in before you can comment on or make changes to this bug.